# Theorie

Mit dieser Arbeit werden diverse Konzepte zur Überwachung maschineller Anlagen erforscht. Dabei soll ein autonomes Meldesystem aufgebaut werden, welches den Anlagenfahrer auf schleichende Probleme aufmerksam machen kann bzw. zur Optimierung des Betriebsablaufes beiträgt. Um dies zu erreichen müssen Messwerte erhoben, analysiert und schließlich gespeichert werden. Während der Entwicklung ist es auch sinnvoll die Rohwerte der Messungen zu sichern, um den Analyseschritt mit Hilfe von echten Messwerten zu definieren.

## Erfassung der Messwerte

Die Aggregation der Messwerte soll unabhängig von Modell und Auslegung der Anlage möglich sein. Es werden verschiedene Wege in Betracht gezogen und schießlich einer von diesen an einer echten Anlage getestet. Die dafür notwendigen Komponenten sollten leicht in den bestehenden Aufbau integrierbar sein.

Zunächst sollen die elektrische Versorgung, die Ströme einzelner Baugruppen und der Status der zentralen Steuerung der Anlage erfasst werden. Der Messintervall sollte klein genug sein, um zwischen den Prozessschritten der Anlage unterscheiden zu können. Bei den zu betrachtenden Kernschießanlagen ist ein Intervall unter 100ms ausreichend; jedoch sollte je nach Möglichkeit ein Interval von 20ms angestrebt werden. 

## Datenverarbeitung

Die Datenverarbeitung soll auf einer PC-Platform stattfinden, so dass sie flexibel eingesetzt werden kann. Sie kann dadurch vor Ort, zum Beispiel auf einem industriellen Box-PC, oder auch über eine Netzwerkverbindung zur Anlagensteuerung durchgeführt werden. Sie soll nur über die erhobenen Messwerte verfügen und nicht in den Prozessablauf der Anlage eingreifen.

- Ort der Datenverarbeitung
- Autonome Meldungskette

  \subsection{Erfassung der Messwerte}
  - Erfassung des Energieverbrauchs über verschiedene Zeitbereiche
    - über einen Zyklus der Anlage, einen hergestellten Kern
    - Verbrauch während des Betriebs
    - Verbrauch im Standby
  - Erfassung der Leistungsaufnahme in unterschiedlichen Teilen der Anlage
    - Gesamtverbrauch an der Einspeisung
    - Einzelverbrauch der Kleinstspannungskreise
      - SPS
      - Sensoren
      - Aktoren
  - Messintervall 20ms / 200ms